org.apache.tinkerpop.gremlin.process.computer.traversal

## Class TraversalVertexProgramMessageCombiner

- java.lang.Object
- - org.apache.tinkerpop.gremlin.process.computer.traversal.TraversalVertexProgramMessageCombiner

- All Implemented Interfaces:
    Serializable, MessageCombiner<TraverserSet<Object>>

      public final class TraversalVertexProgramMessageCombiner
      extends Object
      implements MessageCombiner<TraverserSet<Object>>

  Author:
    Marko A. Rodriguez (http://markorodriguez.com)
  See Also:
    Serialized Form

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `TraverserSet<Object>` | `combine(TraverserSet<Object> messageA, TraverserSet<Object> messageB)` Combine two messages and return a message containing the combination.
    `static Optional<TraversalVertexProgramMessageCombiner>` | `instance()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### combine

          public TraverserSet<Object> combine(TraverserSet<Object> messageA,
                                              TraverserSet<Object> messageB)

      Description copied from interface: `MessageCombiner`
      Combine two messages and return a message containing the combination. In many instances, it is possible to simply merge the data in the second message into the first message. Such an optimization can limit the amount of object creation.
      Specified by:
        `combine` in interface `MessageCombiner<TraverserSet<Object>>`
      Parameters:
        `messageA` - the first message
        `messageB` - the second message
      Returns:
        the combination of the two messages

    - #### instance

          public static Optional<TraversalVertexProgramMessageCombiner> instance()

Copyright © 2013–2019 Apache Software Foundation. All rights reserved.